@{from mistune import escape}
@{code = code.rstrip('\n')}
@[if not language]
@{code = escape(code, smart_amp=False)}
<pre><code>@code
</code></pre>

@[else]

@[if language == 'dot']
@{
from graphviz import Source
src = Source(code)
result = src.pipe('svg').decode('utf-8')
}
@result
@[else]
@{code = escape(code, quote=True, smart_amp=False)}
<pre><code class="lang-@language">@code
</code></pre>

@[end if]
@[end if]